﻿(function () {
    angular
		.module('parkIt.directives')
		.directive('enterKeydown', enterKeydown);

    function enterKeydown() {
        return {
            restrict: 'A',
            link: function ($scope, $element, attr) {
                if (!attr.enterKeydown) return;

                $element.on('keydown', function (e) {
                    if (e.keyCode === 13) {
                        $scope.$eval(attr.enterKeydown);
                    }
                });
            }
        };
    };
})();