﻿(function () {
    angular
		.module('parkIt.directives')
		.directive('offset', offset);

    function offset() {
        return {
            restrict: 'A',
            scope: {
                coords: '='
            },
            link: function ($scope, $element) {
                $scope.$watch('coords', function (coords) {
                    if (!coords)
                        return;

                    //$element.offset({ left: coords[0], top: coords[1] });
                    $element.css({
                        left: coords[0] + 'px',
                        top: coords[1] + 'px'
                    });
                });
            }
        };
    };
})();