﻿function User(options) {
    
    this.id = options.id;

    this.username = options.username;

    this.firstname = options.firstname;

    this.lastname = options.lastname;

    this.email = options.email;

    this.phone = options.phone;

    this.registrationDate = options.registrationDate ?
        Date.parseIso8601UTCFormat(options.registrationDate) :
        undefined;

    this.rating = (options.rating || 0).toFixed(1);

    this.isBanned = options.isBanned || false;

    this.provider = options.provider;
    
    this.groups = options.groups || [];
}