﻿(function () {
	angular
		.module('parkIt.services')
		.factory('globalPopup', [GlobalPopupService]);

	function GlobalPopupService() {

		var _init = null;

		return {
			isOpen: false,
			templateUrl: null,
			showCloseButton: false,
			options: null,

			open: function (templateUrl, showCloseButton, options, init) {
			    this.close();

				this.options = options;
				this.templateUrl = templateUrl;
				_init = init;
				this.isOpen = true;
			},

			close: function () {
				this.isOpen = false;
				this.templateUrl = null;
				this.controller = null;
				this.options = null;
			},

			init: function ($scope) {
				if (_init instanceof Function) {
					_init($scope);
				}
			}
		};
	};
})();