﻿(function () {
    angular
		.module('parkIt.directives')
		.directive('nonselectable', nonselectable);

    function nonselectable() {
        return {
            restrict: 'A',
            link: function ($scope, $element) {
                $element.onselectstart = function () { return false; };
                $element.unselectable = "on";

                $element.css({
                    '-moz-user-select': 'none',
                    '-o-user-select': 'none',
                    '-khtml-user-select': 'none',
                    '-webkit-user-select': 'none',
                    '-ms-user-select': 'none',
                    'user-select': 'none'
                });

                // Для Opera
                $element.bind('mousedown', function () {
                    return false;
                });
            }
        };
    };
})();