﻿(function () {
    angular
		.module('parkIt.directives')
		.directive('textCutter', textCutter);

    function textCutter() {
        return {
            restrict: 'A',
            scope: {
                header: '='
            },
            link: function ($scope, $element) {
                var $wrapper = $('<div>').addClass('b-textCutter'),
                    $menu = $('<div>').addClass('b-textCutter__menu');

                $element
                    .wrap($wrapper)
                    .addClass('b-textCutter__text')
                    .before($menu);

                $scope.$watch('header', function (v) {
                    $menu.text($scope.header);
                });

                $menu.on('click', function () {
                    $element.slideToggle();
                });

                $element.hide();
            }
        };
    };
})();