﻿function Track(options) {

    this.id = options.id;

    this.type = options.type;

    this.actionDay = options.actionDay;

    this.reason = options.reason;

    this.waypoints = options.waypoints || [];

    this.length = options.length || 0;

    this.isHidden = options.isHidden;

    this.isExtended = options.isExtended;

    this.creatorName = options.creatorName;

    this.creationDate =
        options.creationDate instanceof Date ?
            options.creationDate :
            Date.parseIso8601UTCFormat(options.creationDate);

    this.modifierName = options.modifierName;

    this.modifyDate =
        options.modifyDate instanceof Date ?
            options.modifyDate :
            Date.parseIso8601UTCFormat(options.modifyDate);
}