﻿(function () {
    angular
		.module('parkIt.services')
		.service('browserDetection', [browserDetection]);

    function browserDetection() {
        var self = this;

        self.browserName = undefined;
        self.mobileOs = undefined;
        self.isMobile = false;

        if (navigator.appVersion.indexOf("MSIE 9") > -1) {
            self.browserName = 'ie9';
        }
        else if (navigator.appVersion.indexOf("MSIE 10") > -1) {
            self.browserName = 'ie10';
        }
        else if (!!navigator.userAgent.match(/Trident.*rv\:11\./)) {
            self.browserName = 'ie11';
        }
        else if (navigator.userAgent.toLowerCase().indexOf('chrome') > -1) {
            self.browserName = 'chrome';
        }
        else if (navigator.userAgent.toLowerCase().indexOf('firefox') > -1) {
            self.browserName = 'firefox';
        }

        if (!!navigator.userAgent.match(/(iPad|iPhone|iPod)/g)) {
            self.mobileOs = 'ios';
            self.isMobile = true;
        }
        else if (!!navigator.userAgent.match(/Android/i)) {
            self.mobileOs = 'android';
            self.isMobile = true;
        }
        else if (!!navigator.userAgent.match(/Windows Phone/i) || !!navigator.userAgent.match(/iemobile/i)) {
            self.mobileOs = 'winphone';
            self.isMobile = true;
        }
    }
})();