﻿function setLeadingNull(number) {
	if (number >= 0 && number < 10) {
		return '0' + number;
	}
				
	return number;
}

Date.prototype.toLocaleFormat = function () {
	return setLeadingNull(this.getDate()) + '.' +
		setLeadingNull(this.getMonth() + 1) + '.' +
	    (this.getYear() >= 100 ? this.getYear() - 100 : this.getYear()) + ' ' + 
        setLeadingNull(this.getHours()) + ':' +
		setLeadingNull(this.getMinutes()) + ':' +
		setLeadingNull(this.getSeconds());
};

Date.prototype.toIso8601UTCFormat = function () {
	return (this.getUTCFullYear()) + '-' +
		setLeadingNull(this.getUTCMonth() + 1) + '-' +
		setLeadingNull(this.getUTCDate()) + ' ' +
		setLeadingNull(this.getUTCHours()) + ':' +
		setLeadingNull(this.getUTCMinutes()) + ':' +
		setLeadingNull(this.getUTCSeconds());
};

Date.prototype.toTime = function () {
	return setLeadingNull(this.getHours()) + ':' +
		setLeadingNull(this.getMinutes()) + ':' +
		setLeadingNull(this.getSeconds());
};

Date.parseIso8601UTCFormat = function (value) {
    if (!value || !value.length)
        return null;

	if(value.indexOf('Z') === -1) {
		value = value + 'Z'; // Время сервера всегда UTC
	}

	return new Date(value);
};