﻿String.prototype.format = function () {
	/// <summary>
	/// Производит замену каждого элемента {n} на n-ый аргумент метода
	/// </summary>
	/// <returns type="String">форматированная строка</returns>
	var args = arguments;
	return this.replace(/{(\d+)}/g, function (match, number) {
		return typeof args[number] != 'undefined'
		  ? args[number]
		  : match
		;
	});
};